/*
Theme Name:   storefront-child
Description:  storefront-child
Author:       БЕЛЫЙ ПАРУС
Author URL:   http://white-sail.ru
Template:     storefront
Version:      1.0
License:      GNU General Public License v2 or later
License URI:  http://www.gnu.org/licenses/gpl-2.0.html
Text Domain:  storefront-child
*/


/* Write here your own personal stylesheet */




/* АДАПТИВНОЕ МЕНЮ ...................................................................... */
.primary-navigation[data-overflowing="both"] ~ .pn-Advancer_Left, 
.primary-navigation[data-overflowing="both"] ~ .pn-Advancer_Right {
	display: block!important;
}
.primary-navigation[data-overflowing="right"] ~ .pn-Advancer_Right {
    display: block!important;
}
.primary-navigation[data-overflowing="left"] ~ .pn-Advancer_Left {
    display: block!important;
}
.pn-Advancer_Left {
	display: none;
	left: 0;
}
.pn-Advancer_Right {
	display: none;
	right: 0;
}
.pn-Advancer {
	appearance: none!important;
	background: transparent!important;
	padding: 0!important;
	border: 0!important;
	position: absolute!important;
	top: 0;
	bottom: 0;
	transition: opacity .3s;
}
.pn-Advancer_Icon {
	width: 20px!important;
	height: 44px!important;
	fill: #bbb!important;
}
.main-navigation {
	position: relative!important;
	
}
#menu-main-menu {
	position: relative!important;
	margin-left: 0!important;
	
}
.primary-navigation::-webkit-scrollbar {
	width: 0px;
}
@media (min-width: 768px) { 
	.primary-navigation {
	display: flex;
	
	position: relative;
	text-align: left;
	overflow-x: auto!important;
    overflow-y: hidden!important;
    -webkit-overflow-scrolling: touch!important;
    white-space: nowrap!important;
	scrollbar-width: none; /* Для Firefox */
	}
}
@media screen and (-webkit-min-device-pixel-ratio: 0) 
{ _::-webkit-full-page-media, _:future, .primary-navigation::-webkit-scrollbar {
	width: 100%;
	
} }
.nav-menu {
	float: left!important;
	transition: transform .2s ease-in-out!important;
	position: relative!important;
	max-height: none;
	overflow: visible;
	clear: both;
	list-style: none;
    margin: 0;
    padding-left: 0;
	display: block;
	padding: 0;
	box-sizing: border-box;
}
.nav_menu-no-transition {
	transition: none!important;
}
#primary-navigation ul li:first-child a {
	padding-left: 0;
}
#primary-navigation ul li:last-child a {
	padding-right: 0;
}
#menu-main-menu li a {
	text-transform: uppercase;
	font-family: roboto;
	display: inline-flex!important;
	align-items: center!important;
	padding-left: 1.15em;
	padding-right: 1.15em;;
}
  
/* ДОБАВЛЕНИЕ ШРИФТА ROBOTO ...................................................................... */
@font-face {
    font-family: roboto; /* Гарнитура шрифта */
    src: url(fonts/roboto-regular.ttf); /* Путь к файлу со шрифтом */
}

/* ВЕРХНЕЕ МЕНЮ ...................................................................... */


@media (min-width: 768px) {
	.main-navigation ul li a, .secondary-navigation ul li a {
		display: inline-block;
		}
	}
@media (min-width: 768px) {
	.secondary-navigation ul li:before {
		content: '|';
		color: #cad5d5;
		display: inline-block;
		margin: 0 .9em;
		font-family: 'Source Sans Pro';
		text-transform: uppercase;
		}
	}
@media (min-width: 768px) {
		.secondary-navigation ul li:first-child:before {
			content: none;
			}
		}
#secondary-navigation-left ul li:before {
	content: none;
}
	
	
.top-bar .nav-inline>.menu-item+.menu-item:before {
	content: '|';
	color: #cad5d5;
	display: inline-block;
	margin: 0 1em;
}
	
#widget-top-container.secondary-navigation {
	margin-right: 0px;
	width: auto;
}

@media (min-width: 768px) {
.secondary-navigation .menu a {
    padding: 0;
    }
}
@media (min-width: 768px) {
	.storefront-secondary-navigation.woocommerce-active .site-header nav.secondary-navigation {
	    width: auto;
	    margin-right: 0.875em;
	    flex-grow: 1;
	    margin-right: 0;
	}
}

@media (min-width: 768px) {
#top-bar-container.col-full {
    padding-top: .464em;
    }
}

@media (min-width: 768px) {
    #secondary-navigation-left {
	    clear: both;
	    width: auto;
	    margin-right: 15px;
	    display: flex;
	    flex-grow: 1;
	}
}
#top-bar-container.col-full {
	display: flex;
	font-family: roboto;
}
@media (min-width: 768px) {
    .secondary-navigation #widget-top p {
		padding-left: .875em;
		padding-right: 0;
		line-height: initial;
    }
}
@media (min-width: 768px) {
    #top-bar-container.col-full {
	    font-size: 1rem;
    }
}
@media (min-width: 768px) {
  .secondary-navigation .menu {
	    font-size: .950rem;
   }
}
@media (min-width: 768px) {
	.secondary-navigation li a svg {
		  font-size: .950rem!important;
	 }
  }
  @media (min-width: 768px) {
	.secondary-navigation li a img  {
		width: 14px;
		opacity: 0.75;
	 }
}
@media (min-width: 768px) {
	.secondary-navigation li a svg  {
		width: 1em!important;
	 }
}
@media (min-width: 768px) {
	.secondary-navigation .blog a svg {
		position: relative;
		bottom: 1px;
		opacity: 0.75;
	 }
}
@media (min-width: 768px) {
	.secondary-navigation .shipping a img {
		width: 16px;
		fill: darkgreen;
    
	 }
}
@media (min-width: 768px) {
.secondary-navigation {
    line-height: 1.2;
     }
}
@media (min-width: 768px) {
	.secondary-navigation .payment a img {
		position: relative;
		bottom: 1px;
    
	 }
}
@media (min-width: 768px) {
	.secondary-navigation .company a img {
		width: 19px;
    position: relative;
    
	 }
}
.menu-image-title-after.menu-image-not-hovered img, .menu-image-hovered.menu-image-title-after .menu-image-hover-wrapper, .menu-image-title-before.menu-image-title {
    padding-right: 0px;
}
@media (min-width: 768px) {
	.secondary-navigation li a span {
		vertical-align: middle;
	 }
  }
.screen-reader-text {
	display:none;
}
.menu a {
   font-family: roboto;
   color: #333;
}
 
body, button, input, select, textarea {
	font-family: montserrat;
}

/* МЕНЮ АККАУНТА ...................................................................... */
.account-user {
	position: relative;
	text-align: left;
}
.account-user .af-my-account-menu{
	position: absolute;
	right: 0;
	top: 120%;
	z-index: 99;
	background: #fff;
	border: none;
	left: inherit;
	min-width: 170px;
	opacity: 0;
	filter: alpha(opacity=0);
	-webkit-transition: opacity 0.2s, top 0.4s, visibility 0s linear 0.4s;
	-moz-transition: opacity 0.2s, top 0.4s, visibility 0s linear 0.4s;
	-ms-transition: opacity 0.2s, top 0.4s, visibility 0s linear 0.4s;
	-o-transition: opacity 0.2s, top 0.4s, visibility 0s linear 0.4s;
	transition: opacity 0.2s, top 0.4s, visibility 0s linear 0.4s;
	-webkit-box-shadow: -1px 2px 5px 0 rgba(0, 0, 0, 0.15);
	-moz-box-shadow: -1px 2px 5px 0 rgba(0, 0, 0, 0.15);
	-ms-box-shadow: -1px 2px 5px 0 rgba(0, 0, 0, 0.15);
	-o-box-shadow: -1px 2px 5px 0 rgba(0, 0, 0, 0.15);
	box-shadow: -1px 2px 5px 0 rgba(0, 0, 0, 0.15);
	display: inherit;
	visibility: hidden;
}
.account-user:hover .af-my-account-menu{
	display: inherit;
	opacity: 1;
	visibility: visible;
	-webkit-transition: opacity 0.4s, top 0.4s;
	-moz-transition: opacity 0.4s, top 0.4s;
	-ms-transition: opacity 0.4s, top 0.4s;
	-o-transition: opacity 0.4s, top 0.4s;
	transition: opacity 0.4s, top 0.4s;
	top: 100%;
}
.account-user .af-my-account-menu li a {
	padding: 10px 15px;
	padding-top: 0;
	display: block;
	font-size: 13px;
	line-height: 19px;
	text-transform: uppercase;
	font-weight: 700;
	line-height: 1.3;
	color: #000;
}
.account-user .af-my-account-menu li:first-child a {
	padding-top: 10px;
}
.account-user .af-my-account-menu li a.af-my-account-admin {
	text-transform: none;}
.header-style-3.header-style-center .account-user .af-my-account-menu li a ,
.header-style-3-1.header-style-center .account-user .af-my-account-menu li a ,
.header-style-3.header-style-default .account-user .af-my-account-menu li a {
	color: #000;
}
.account-user .af-my-account-menu li:last-child a {
	padding-bottom: 10px;
}
.account-user .af-my-account-menu li a:hover {
	color: #cc0000;
}
.header-style-3.header-style-center .account-user .af-my-account-menu li a:hover ,
.header-style-3.header-style-express .header-left-upper .account-user ul li a:hover,
.header-style-3-1.header-style-center .account-user .af-my-account-menu li a:hover ,
.header-style-3.header-style-default .account-user .af-my-account-menu li a:hover ,
.account-user .af-my-account-menu li a:hover {
	color: #f28e24;
}
.account-user .af-my-account-menu li a:before {
	font-family: FontAwesome;
	padding-right: 10px;
	float: left;
	font-weight: normal;
}
.account-user .af-my-account-menu li a.af-my-account-admin:before {
	content: "\f2be";
}
.account-user .af-my-account-menu li a.af-my-account-order:before {
	content: "\f022";
}
.account-user .af-my-account-menu li a.af-my-account-edit:before {
	content: "\f044";
}
.account-user .af-my-account-menu li a.af-my-account-log:before {
	content: "\f011";
}


/* РАЗНОЕ ...................................................................... */
.site-header {
    padding-top: 0px;
}
@media (min-width: 768px) {
    .col-full {
        max-width: 94em;
    }
}
@media (min-width: 768px) {
    .woocommerce-active .site-header .site-search {
        float: left;   
    }
}
@media (min-width: 768px) {
    .woocommerce-active .site-header .main-navigation {
        width: 100%;
        float: left;
        margin-right: 0;
        clear: none;
    }
}






